
# Obtained from https://raw.githubusercontent.com/Future
# Shockco/drugwars.js/master/src/units.json
UNITS = {
  "rowdy": {
    "id": "rowdy",
    "type": "Melee",
    "score": 6,
    "name": "Rowdy",
    "desc": "He makes more noise than he hits.",
    "attack": 2,
    "defense": 2,
    "speed": 12,
    "range": 1,
    "time": 57,
    "capacity": 100,
    "supply": 1,
    "priority": 50,
    "coeff": 0.54,
    "drugs_cost": 0,
    "weapons_cost": 600,
    "alcohols_cost": 0
  },
  "bouncer": {
    "id": "bouncer",
    "type": "Melee",
    "score": 6,
    "name": "Super Bouncer",
    "desc": "He's not smart but will follow you until he dies.",
    "attack": 6,
    "defense": 10,
    "speed": 11,
    "range": 1,
    "time": 57,
    "capacity": 400,
    "supply": 2,
    "priority": 55,
    "coeff": 0.84,
    "drugs_cost": 0,
    "weapons_cost": 1400,
    "alcohols_cost": 1300
  },
  "knifer": {
    "id": "knifer",
    "type": "Melee",
    "score": 4,
    "name": "Knifer",
    "desc": "He does not look dangerous... at first sight.",
    "attack": 12,
    "defense": 5,
    "speed": 10,
    "range": 1,
    "time": 67,
    "capacity": 300,
    "supply": 1,
    "priority": 60,
    "coeff": 0.72,
    "drugs_cost": 0,
    "weapons_cost": 3000,
    "alcohols_cost": 800
  },
  "gunman": {
    "id": "gunman",
    "type": "Range",
    "score": 21,
    "name": "Gunman",
    "desc": "He's armed and ready to shoot.",
    "attack": 25,
    "defense": 12,
    "speed": 9,
    "range": 5,
    "time": 102,
    "capacity": 200,
    "supply": 1,
    "priority": 75,
    "coeff": 1.28,
    "drugs_cost": 0,
    "weapons_cost": 3600,
    "alcohols_cost": 3200
  },
  "sniper": {
    "id": "sniper",
    "type": "Range",
    "score": 53,
    "name": "Sniper",
    "desc": "The Sniper provides a long range.",
    "attack": 40,
    "defense": 8,
    "speed": 14,
    "range": 6,
    "time": 92,
    "capacity": 180,
    "supply": 1,
    "priority": 80,
    "coeff": 2.16,
    "drugs_cost": 0,
    "weapons_cost": 3000,
    "alcohols_cost": 5600
  },
  "hitman": {
    "id": "hitman",
    "type": "Range",
    "score": 120,
    "name": "Hitman",
    "desc": "His name isn't enought? He'll just do the job!",
    "attack": 30,
    "defense": 15,
    "speed": 8,
    "range": 5,
    "time": 67,
    "capacity": 250,
    "supply": 2,
    "priority": 85,
    "coeff": 2.28,
    "drugs_cost": 0,
    "weapons_cost": 10000,
    "alcohols_cost": 0
  },
  "ninja": {
    "id": "ninja",
    "type": "Melee",
    "score": 185,
    "name": "Ninja",
    "desc": "Particularly fast and powerful.",
    "attack": 50,
    "defense": 20,
    "speed": 5,
    "range": 5,
    "time": 67,
    "capacity": 250,
    "supply": 2,
    "priority": 70,
    "coeff": 3.84,
    "drugs_cost": 0,
    "weapons_cost": 7000,
    "alcohols_cost": 7000
  },
  "big_mama": {
    "id": "big_mama",
    "type": "Melee",
    "score": 203,
    "name": "Big Mama",
    "desc": "Big Mama has a Big defense.",
    "attack": 12,
    "defense": 110,
    "speed": 20,
    "range": 3,
    "time": 38,
    "capacity": 600,
    "supply": 6,
    "priority": 65,
    "coeff": 4.72,
    "drugs_cost": 0,
    "weapons_cost": 9000,
    "alcohols_cost": 12000
  },
  "bazooka": {
    "id": "bazooka",
    "type": "Range",
    "score": 255,
    "name": "Bazooka Guy",
    "desc": "He owns a bazooka! Be careful with him.",
    "attack": 145,
    "defense": 25,
    "speed": 17,
    "range": 7,
    "time": 102,
    "capacity": 800,
    "supply": 3,
    "priority": 90,
    "coeff": 4.28,
    "drugs_cost": 0,
    "weapons_cost": 15000,
    "alcohols_cost": 13000
  },
  "mercenary": {
    "id": "mercenary",
    "type": "Range",
    "score": 383,
    "name": "Mercenary",
    "desc": "Mercenaries are always freelancers but you won't regret to hire them.",
    "attack": 120,
    "defense": 75,
    "speed": 15,
    "range": 6,
    "time": 137,
    "capacity": 400,
    "supply": 2,
    "priority": 100,
    "coeff": 8,
    "drugs_cost": 0,
    "weapons_cost": 19000,
    "alcohols_cost": 14000
  }
}


def get_speed(army):
    return max([UNITS[u["key"]]["speed"] for u in army])


def get_stats(army):
    return sum([UNITS[u["key"]]["attack"] * u["amount"] for u in army]), sum(
        [UNITS[u["key"]]["defense"] * u["amount"] for u in army])